Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCullerCollection Class Reference

`#include <vtkCullerCollection.h>`

Inheritance diagram for vtkCullerCollection:

[legend]
Collaboration diagram for vtkCullerCollection:

[legend]
List of all members.

## Detailed Description

a list of Cullers

Date:
  2002/08/22 18:39:30

Revision:
  1.21

vtkCullerCollection represents and provides methods to manipulate a list of Cullers (i.e., vtkCuller and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkCuller vtkCollection

Created by:
  - Avila, Lisa
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Avila, Lisa (42%)
  - Martin, Ken (23%)
  - Hoffman, Bill (21%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkCullerCollection.cxx)`
  - .`h` (`/Rendering/vtkCullerCollection.h)`

Definition at line 50 of file vtkCullerCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkCuller * | GetLastItem ()
void | AddItem (vtkCuller *a)
vtkCuller * | GetNextItem ()
## Static Public Methods
vtkCullerCollection * | New ()
int | IsTypeOf (const char *type)
vtkCullerCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCullerCollection ()
| ~vtkCullerCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkCullerCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 54 of file vtkCullerCollection.h.

## Constructor & Destructor Documentation

vtkCullerCollection::vtkCullerCollection | ( |  | ) | `[inline, protected]`

| Definition at line 73 of file vtkCullerCollection.h.

vtkCullerCollection::~vtkCullerCollection | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkCullerCollection.h.

## Member Function Documentation

vtkCullerCollection* vtkCullerCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkCullerCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkCullerCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkCullerCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkCullerCollection* vtkCullerCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

virtual void vtkCullerCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkCullerCollection::AddItem | ( | vtkCuller * | a | ) | `[inline]`

| Add an Culler to the list. Definition at line 59 of file vtkCullerCollection.h. References vtkCollection::AddItem().

vtkCuller* vtkCullerCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next Culler in the list. Definition at line 65 of file vtkCullerCollection.h. References vtkCollection::GetNextItemAsObject().

vtkCuller * vtkCullerCollection::GetLastItem | ( |  | ) | `[inline]`

| Get the last Culler in the list. Definition at line 87 of file vtkCullerCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item.

The documentation for this class was generated from the following file:

- Rendering/vtkCullerCollection.h